gnome-mag: POA_Bonobo_PropertyBag__epv Struct Reference

# POA_Bonobo_PropertyBag__epv Struct Reference

`#include <GNOME_Magnifier.h>`

## Data Fields
void * | _private
Bonobo_KeyList *(* | getKeys )(PortableServer_Servant _servant, const CORBA_char *filter, CORBA_Environment *ev)
CORBA_TypeCode(* | getType )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
CORBA_any *(* | getValue )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
void(* | setValue )(PortableServer_Servant _servant, const CORBA_char *key, const CORBA_any *value, CORBA_Environment *ev)
Bonobo_PropertySet *(* | getValues )(PortableServer_Servant _servant, const CORBA_char *filter, CORBA_Environment *ev)
void(* | setValues )(PortableServer_Servant _servant, const Bonobo_PropertySet *set, CORBA_Environment *ev)
CORBA_any *(* | getDefault )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
CORBA_string(* | getDocTitle )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
CORBA_string(* | getDoc )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
Bonobo_PropertyFlags(* | getFlags )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
void(* | unImplemented1 )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented2 )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented3 )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented4 )(PortableServer_Servant _servant, CORBA_Environment *ev)

## Detailed Description

Definition at line 1028 of file GNOME_Magnifier.h.

## Field Documentation

void* POA_Bonobo_PropertyBag__epv::_private

Definition at line 1029 of file GNOME_Magnifier.h.

Bonobo_KeyList*(* POA_Bonobo_PropertyBag__epv::getKeys)(PortableServer_Servant _servant, const CORBA_char *filter, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_PropertyBag().

CORBA_TypeCode(* POA_Bonobo_PropertyBag__epv::getType)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

CORBA_any*(* POA_Bonobo_PropertyBag__epv::getValue)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

void(* POA_Bonobo_PropertyBag__epv::setValue)(PortableServer_Servant _servant, const CORBA_char *key, const CORBA_any *value, CORBA_Environment *ev)

Bonobo_PropertySet*(* POA_Bonobo_PropertyBag__epv::getValues)(PortableServer_Servant _servant, const CORBA_char *filter, CORBA_Environment *ev)

void(* POA_Bonobo_PropertyBag__epv::setValues)(PortableServer_Servant _servant, const Bonobo_PropertySet *set, CORBA_Environment *ev)

CORBA_any*(* POA_Bonobo_PropertyBag__epv::getDefault)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_PropertyBag().

CORBA_string(* POA_Bonobo_PropertyBag__epv::getDocTitle)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_PropertyBag().

CORBA_string(* POA_Bonobo_PropertyBag__epv::getDoc)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_PropertyBag().

Bonobo_PropertyFlags(* POA_Bonobo_PropertyBag__epv::getFlags)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_PropertyBag().

void(* POA_Bonobo_PropertyBag__epv::unImplemented1)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_PropertyBag__epv::unImplemented2)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_PropertyBag__epv::unImplemented3)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_PropertyBag__epv::unImplemented4)(PortableServer_Servant _servant, CORBA_Environment *ev)

The documentation for this struct was generated from the following file:

- GNOME_Magnifier.h